<?php
/**
 * Tribalogic Web Directory & Booking Platform
 *
 * This file is discributed without any warranty whatsoever.
 * It should not be redistributed without the express written
 * consent of Tribalogic Ltd.
 *
 * http://www.tribalogic.net/
 *
 * @copyright Copyright (c) 2000-2012 Tribalogic Ltd
 */

/**
 * This file is meant as an example only. It should be sufficient
 * to see how to include this into existing code.
 */


// This is a vague attempt to detect whether we are running under
// a command line or a web environment - it's not really important!
if (!empty($_SERVER['HTTP_HOST']))
  header('Content-Type: text/plain');

// Include our main search code.
require_once(dirname(__FILE__).'/tribalogic.php');

// Set the Syndicate ID. This should be changed.
$syndicate = 453;
$start = '01/06/2013';
$end = '03/06/2013';

// Now do our search with our arrival and departure dates
//$results = tlSearch::FindProviders($syndicate, $start, $end, 4);
$results = tlSearch::findEntries($syndicate, $start, $end, 4);

echo "The matching results are:\n";
if (empty($results))
{
  echo " * None!!!\n";
  exit;
}

// Simply display the results
foreach ($results as $id => $data)
  printf(" * %6d: %s (£%0.2f)\n", $id, $data['name'], $data['price']);

// NB if you want an array of Provider Ids to integrate with your own search,
// simply do:
$eids = array_keys($results);

// You could use this array in e.g. an SQL statement thus (assuming MySQL 4.1+):
if (!empty($eids))
{
  $sql = 'SELECT * FROM my_properties WHERE tl_entry_id IN ('.implode(',', $eids).')';
  // .......
}

exit;
